Subject: Bug#1018736: postfix: Please add a dpkg-reconfigure option to masquerade From when smarthosting

From: Scott Kitterman <[email-masked]>
Date: Mon, 29 Aug 2022 15:31:31 -0400

On Monday, August 29, 2022 2:55:00 PM EDT Karl O. Pinc wrote:
> Package: postfix
> Version: 3.5.13-0+deb11u1
> Severity: wishlist
> 
> Hello,
> 
> Many consumer ISPs won't relay outbound email unless it comes from the
> email address associated with the account.
> 
> It would be nice if the Postfix pacakge had a configuration option so
> that when a smarthost is used there is the option to masquerade
> (envelope and regular header) the From address.  This gives the
> "ordinary user" the ability to send outbound emails, which lets cron
> and other system daemons email notifications that might otherwise be
> lost in the local mail spool.  `reportbug` also works better when
> outbound email is available, etc.

This is not something that Postfix has the capability to do.  I'd suggest using 
vrfydmn milter to accomplish this, but it would be out of scope for anything 
automatically configured by the Postfix package.

https://tracker.debian.org/pkg/vrfydmn

Scott K